Re: Applet can't detect 64-bit JRE

Discussion in 'Java' started by BGB, Aug 18, 2011.

  1. BGB

    BGB Guest

    On 8/17/2011 8:58 PM, Qu0ll wrote:
    > I have been using a locally-deployed applet for some time with 32-bit
    > Java 6 on the client and it has been working fine. Since upgrading the
    > client to 64-bit Java 7 I find that the applet cannot detect that Java
    > is installed and insists on downloading and installing a 32-bit JRE. I
    > have since discovered that the same thing happens even I downgrade to
    > 64-bit Java 6.
    >


    note:
    what is needed is to have a JRE installed that is the same number of
    bits as the browser. a 64-bit JRE will not work with a 32-bit browser
    and vice-versa. this is generally a result of how most browsers handle
    plugins.

    AFAICT, one can have both a 32-bit and 64-bit JRE installed at the same
    time on the same system and this seems to work (although I have not
    entirely investigated the details of this).


    another option is to install a 64-bit browser, but at least in the past,
    this had problems with Flash player (lack of 64-bit Flash players,
    although last I remember there was a Beta-stage 64-bit version of Flash
    available, and it may be in release status now for all I know...).


    > The applet is deployed using JNLP and I mean an applet that runs inside
    > the browser, not a Java Web Start "application".
    >
    > The auto download of the JRE is being triggered because I include this
    > script in the HTML:
    >
    > <script src="http://java.com/js/deployJava.js"></script>
    >
    > I run the applet using:
    >
    > deployJava.runApplet(attributes, parameters, '1.6');
    >
    > and I have tried using an argument of '1.7' as well to no avail.
    >
    > The JNLP contains the following <java> tag:
    >
    > <java version="1.6+" href="http://java.sun.com/products/autodl/j2se"
    > max-heap-size="768m"/>
    >
    > and again I have tried specifying "1.7+" as well.
    >
    > So what's the trick to deploying applets using JNLP and 64-bit Java?
    >
    > And loving it,
    >
    > -Qu0ll (Rare, not extinct)
    > _________________________________________________
    >
    > [Replace the "SixFour" with numbers to email me]
    BGB, Aug 18, 2011
    #1
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. nospawn
    Replies:
    2
    Views:
    511
    Real Gagnon
    Apr 25, 2006
  2. Replies:
    0
    Views:
    558
  3. Prasoon
    Replies:
    1
    Views:
    463
    Andrew Thompson
    Apr 13, 2007
  4. Artur McCennon
    Replies:
    0
    Views:
    397
    Artur McCennon
    Jul 22, 2009
  5. Roedy Green

    Re: Applet can't detect 64-bit JRE

    Roedy Green, Aug 18, 2011, in forum: Java
    Replies:
    6
    Views:
    1,308
    Arne Vajhøj
    Sep 2, 2011
Loading...

Share This Page